#include "Parser.h"
#include "Scanner.h"
#include <time.h>

//using namespace SyntaxBIF;

int main (int argc, char *argv[]) {

	if (argc == 2) {
		clock_t start = clock(), diff;
		wchar_t *fileName = coco_string_create(argv[1]);
		Scanner scanner(fileName);
		Parser parser(&scanner);
		parser.Parse();
                if(parser.errors->count == 0) {
#ifdef PARSER_WITH_AST
                    if(parser.ast_root) {
                        parser.ast_root->dump();
                        //parser.ast_root->dump2(parser.maxT);
                    }
#endif
                }

		coco_string_delete(fileName);
		diff = clock() - start;
		int msec = diff * 1000 / CLOCKS_PER_SEC;
		printf("Time taken %d seconds %d milliseconds\n", msec/1000, msec%1000);
	} else
		wprintf(_SC("-- No input file specified\n"));

	return 0;

}
